using ConstructorApp.BusinessLayer.Abstract;
using ConstructorApp.DataAccessLayer.Abstract;
using ConstructorApp.EntityLayer.Entities;

namespace ConstructorApp.BusinessLayer.Concrete
{
    public class TestimonialManager : ITestimonialService
    {
        private readonly ITestimonialDal _testimonialDal;

        public TestimonialManager(ITestimonialDal testimonialDal)
        {
            _testimonialDal = testimonialDal;
        }

        public void TAdd(Testimonial entity)
        {
           _testimonialDal.Add(entity);
        }

        public int TCountAll()
        {
            return _testimonialDal.CountAll();
        }

        public void TDelete(Testimonial entity)
        {
           _testimonialDal.Delete(entity);
        }

        public Testimonial TGetByID(int id)
        {
            return _testimonialDal.GetByID(id);
        }

        public List<Testimonial> TGetListAll()
        {
           return _testimonialDal.GetListAll();
        }

        public void TTestimonialStatusActive(int id)
        {
            _testimonialDal.TestimonialStatusActive(id);
        }

        public void TTestimonialStatusPassive(int id)
        {
            _testimonialDal.TestimonialStatusPassive(id);
        }

        public void TUpdate(Testimonial entity)
        {
            _testimonialDal.Update(entity);
        }
    }
}
